As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 71314 - selection and editing related changes for bidi
: selection and editing related changes for bidi
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla0.9
Assigned To: Erik van der Poel
: Chris Petersen
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-08 10:52 PST by Erik van der Poel
Modified: 2005-03-25 03:24 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
diffs for selection and editing related files (81.02 KB, patch)
2001-03-08 15:01 PST, Erik van der Poel
no flags Details | Diff | Splinter Review

Description User image Erik van der Poel 2001-03-08 10:52:41 PST
This bug report will be used to attach the diffs related to selection and
editing from the IBM bidi project.
Comment 1 User image Simon Fraser 2001-03-08 11:10:56 PST
cc editor folks
Comment 2 User image Erik van der Poel 2001-03-08 15:01:07 PST
Created attachment 27170 [details] [diff] [review]
diffs for selection and editing related files
Comment 3 User image Erik van der Poel 2001-03-08 15:10:44 PST
Editor folks, please review these changes. Thanks!
Comment 4 User image Erik van der Poel 2001-03-12 14:35:13 PST
Hi Mike and Anthony, I heard from Simon Montagu (IBM Israel) that you guys had
a good meeting last week. How's the review coming along? Do you need anything
from me or from Simon? Any questions? Thanks.
Comment 5 User image mjudge 2001-03-13 14:07:26 PST
anthony and i looked at the patch and it looks good, especially considering that 
its ifdef'd for now anyway.  I would like this to go in then we can make those 
few adjustments to the accessors to presshell soonest.  

I would like to be told if possible before the #ifdef is turned on for everyone.

r= mjudge,anthonyd
Comment 6 User image Frank Tang 2001-03-19 17:04:56 PST
set to moz0.9
Comment 7 User image Erik van der Poel 2001-03-20 17:17:59 PST
Changes checked in.
Comment 8 User image Chris Petersen 2001-03-23 12:20:04 PST
Marking verified per last comments.
Comment 9 User image Erik van der Poel 2001-03-29 16:14:42 PST
mjudge/anthonyd, we are still reviewing and checking in #ifdef IBMBIDI changes
in other parts of the tree, but we would like to turn on the ifdef soon
afterwards, so would you please let me know what other concerns you might have
with this part (i.e. selection)? Let me know whether it's OK to turn on the
ifdef for selection. Thx.
Comment 10 User image zug_treno 2005-03-25 03:24:37 PST
Could bug 287502 be related to bidi and selecting?

Note You need to log in before you can comment on or make changes to this bug.